# Uses of Interface
org.eclipse.emf.cdo.security.PermissionFilter

Packages that use PermissionFilter
Package
Description
org.eclipse.emf.cdo.lm.security
The generated EMF API of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.security.impl
The generated EMF implementation of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.security.util
The generated EMF utilities of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of PermissionFilter in org.eclipse.emf.cdo.lm.security

Subinterfaces of PermissionFilter in org.eclipse.emf.cdo.lm.security
Modifier and Type
Interface
Description
`interface`
`LMFilter`
A representation of the model object 'LM Filter'.
`interface`
`ModuleFilter`
A representation of the model object 'Module Filter'.
`interface`
`ModuleTypeFilter`
A representation of the model object 'Module Type Filter'.

## Uses of PermissionFilter in org.eclipse.emf.cdo.lm.security.impl

Classes in org.eclipse.emf.cdo.lm.security.impl that implement PermissionFilter
Modifier and Type
Class
Description
`class`
`LMFilterImpl`
An implementation of the model object 'LM Filter'.
`class`
`ModuleFilterImpl`
An implementation of the model object 'Module Filter'.
`class`
`ModuleTypeFilterImpl`
An implementation of the model object 'Module Type Filter'.

## Uses of PermissionFilter in org.eclipse.emf.cdo.lm.security.util

Methods in org.eclipse.emf.cdo.lm.security.util with parameters of type PermissionFilter
Modifier and Type
Method
Description
`T`
LMSecuritySwitch.`casePermissionFilter(PermissionFilter object)`
Returns the result of interpreting the object as an instance of 'Permission Filter'.

## Uses of PermissionFilter in org.eclipse.emf.cdo.security

Subinterfaces of PermissionFilter in org.eclipse.emf.cdo.security
Modifier and Type
Interface
Description
`interface`
`AndFilter`
A representation of the model object 'And Filter'.
`interface`
`ClassFilter`
A representation of the model object 'Class Filter'.
`interface`
`CombinedFilter`
A representation of the model object 'Combined Filter'.
`interface`
`ExpressionFilter`
A representation of the model object 'Expression Filter'.
`interface`
`LinkedFilter`
A representation of the model object 'Reference Filter'.
`interface`
`NotFilter`
A representation of the model object 'Not Filter'.
`interface`
`ObjectFilter`
A representation of the model object 'Object Filter'.
`interface`
`OrFilter`
A representation of the model object 'Or Filter'.
`interface`
`PackageFilter`
A representation of the model object 'Package Filter'.
`interface`
`ResourceFilter`
A representation of the model object 'Resource Filter'.
Methods in org.eclipse.emf.cdo.security that return PermissionFilter
Modifier and Type
Method
Description
`PermissionFilter`
LinkedFilter.`getFilter()`
Returns the value of the 'Filter' reference.
Methods in org.eclipse.emf.cdo.security that return types with arguments of type PermissionFilter
Modifier and Type
Method
Description
`EList<PermissionFilter>`
FilterPermission.`getFilters()`
Returns the value of the 'Filters' containment reference list.
`EList<PermissionFilter>`
CombinedFilter.`getOperands()`
Returns the value of the 'Operands' containment reference list.
Methods in org.eclipse.emf.cdo.security with parameters of type PermissionFilter
Modifier and Type
Method
Description
`AndFilter`
SecurityFactory.`createAndFilter(PermissionFilter... operands)`
Returns a new object of class 'And Filter'.
`FilterPermission`
SecurityFactory.`createFilterPermission(Access access, PermissionFilter... filters)`
`NotFilter`
SecurityFactory.`createNotFilter(PermissionFilter operand)`
`OrFilter`
SecurityFactory.`createOrFilter(PermissionFilter... operands)`
Returns a new object of class 'Or Filter'.
`void`
LinkedFilter.`setFilter(PermissionFilter value)`
Sets the value of the '`Filter`' reference.

## Uses of PermissionFilter in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement PermissionFilter
Modifier and Type
Class
Description
`class`
`AndFilterImpl`
An implementation of the model object 'And Filter'.
`class`
`ClassFilterImpl`
An implementation of the model object 'Class Filter'.
`class`
`CombinedFilterImpl`
An implementation of the model object 'Combined Filter'.
`class`
`ExpressionFilterImpl`
An implementation of the model object 'Expression Filter'.
`class`
`LinkedFilterImpl`
An implementation of the model object 'Reference Filter'.
`class`
`NotFilterImpl`
An implementation of the model object 'Not Filter'.
`class`
`ObjectFilterImpl`
An implementation of the model object 'Object Filter'.
`class`
`OrFilterImpl`
An implementation of the model object 'Or Filter'.
`class`
`PackageFilterImpl`
An implementation of the model object 'Package Filter'.
`class`
`PermissionFilterImpl`
An implementation of the model object 'Permission Filter'.
`class`
`ResourceFilterImpl`
An implementation of the model object 'Resource Filter'.
Methods in org.eclipse.emf.cdo.security.impl that return PermissionFilter
Modifier and Type
Method
Description
`PermissionFilter`
LinkedFilterImpl.`getFilter()`
Methods in org.eclipse.emf.cdo.security.impl that return types with arguments of type PermissionFilter
Modifier and Type
Method
Description
`EList<PermissionFilter>`
FilterPermissionImpl.`getFilters()`
`EList<PermissionFilter>`
CombinedFilterImpl.`getOperands()`
Methods in org.eclipse.emf.cdo.security.impl with parameters of type PermissionFilter
Modifier and Type
Method
Description
`AndFilter`
SecurityFactoryImpl.`createAndFilter(PermissionFilter... operands)`
`FilterPermission`
SecurityFactoryImpl.`createFilterPermission(Access access, PermissionFilter... filters)`
`NotFilter`
SecurityFactoryImpl.`createNotFilter(PermissionFilter operand)`
`OrFilter`
SecurityFactoryImpl.`createOrFilter(PermissionFilter... operands)`
`void`
LinkedFilterImpl.`setFilter(PermissionFilter newFilter)`

## Uses of PermissionFilter in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type PermissionFilter
Modifier and Type
Method
Description
`T`
SecuritySwitch.`casePermissionFilter(PermissionFilter object)`
Returns the result of interpreting the object as an instance of 'Permission Filter'.
`boolean`
SecurityValidator.`validatePermissionFilter(PermissionFilter permissionFilter, DiagnosticChain diagnostics, Map<Object,Object> context)`